//---------------------------------------------------------------------------
#ifndef DemoH
#define DemoH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "Grids.hpp"
#include "Spin.hpp"
#include "xyGraph.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TLabel *Label6;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label2;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label9;
	TLabel *Label10;
	TLabel *Label11;
	TLabel *Label12;
	TEdit *XMinEdit;
	TEdit *XMaxEdit;
	TEdit *XStepEdit;
	TEdit *YMinEdit;
	TEdit *YMaxEdit;
	TEdit *YStepEdit;
	TPanel *Panel1;
	TCheckBox *AutoStepCB;
	TCheckBox *AutoXSizeCB;
	TCheckBox *AutoYSizeCB;
	TCheckBox *AllowedOutCB;
	TCheckBox *XLogCB;
	TCheckBox *YLogCB;
	TCheckBox *PlottingCB;
	TStringGrid *StringGrid1;
	TSpinEdit *SeriesSE;
	TButton *SetSeriesBtn;
	TListBox *ColorLB;
	TCheckBox *LinesCB;
	TCheckBox *PointsCB;
	TButton *PrintBtn;
	TButton *RandomBtn;
	TEdit *MinStepEdit;
	TEdit *XLogTickEdit;
	TEdit *YLogTickEdit;
	TButton *DrawFnBtn;
	TxyGraph *xyGraph1;
	void __fastcall PlottingCBClick(TObject *Sender);
	void __fastcall AutoStepCBClick(TObject *Sender);
	void __fastcall AutoXSizeCBClick(TObject *Sender);
	void __fastcall AutoYSizeCBClick(TObject *Sender);
	void __fastcall AllowedOutCBClick(TObject *Sender);
	void __fastcall XLogCBClick(TObject *Sender);
	void __fastcall YLogCBClick(TObject *Sender);
	void __fastcall XMinEditChange(TObject *Sender);
	void __fastcall XMinEditExit(TObject *Sender);
	void __fastcall XMaxEditExit(TObject *Sender);
	void __fastcall XStepEditChange(TObject *Sender);
	void __fastcall XStepEditExit(TObject *Sender);
	void __fastcall YMinEditExit(TObject *Sender);
	void __fastcall YMaxEditExit(TObject *Sender);
	void __fastcall YStepEditExit(TObject *Sender);
	void __fastcall XMaxEditChange(TObject *Sender);
	void __fastcall YMinEditChange(TObject *Sender);
	void __fastcall YMaxEditChange(TObject *Sender);
	void __fastcall YStepEditChange(TObject *Sender);
	void __fastcall MinStepEditChange(TObject *Sender);
	void __fastcall MinStepEditExit(TObject *Sender);
	void __fastcall XLogTickEditChange(TObject *Sender);
	void __fastcall XLogTickEditExit(TObject *Sender);
	void __fastcall YLogTickEditChange(TObject *Sender);
	void __fastcall YLogTickEditExit(TObject *Sender);
	void __fastcall SeriesSEChange(TObject *Sender);
	void __fastcall SetSeriesBtnClick(TObject *Sender);
	void __fastcall RandomBtnClick(TObject *Sender);
	void __fastcall DrawFnBtnClick(TObject *Sender);
	void __fastcall PrintBtnClick(TObject *Sender);
private:	// User declarations
    int internal;
    TxyGraph *xygraph2;
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
